/*! normalize.css v8.0.1 | MIT License | github.com/necolas/normalize.css */

/* Document
   ========================================================================== */

/**
 * 1. Correct the line height in all browsers.
 * 2. Prevent adjustments of font size after orientation changes in iOS.
 */

 html {
    line-height: 1.15; /* 1 */
    -webkit-text-size-adjust: 100%; /* 2 */
  }
  
  /* Sections
     ========================================================================== */
  
  /**
   * Remove the margin in all browsers.
   */
  
  body {
    margin: 0;
  }
  
  /**
   * Render the `main` element consistently in IE.
   */
  
  main {
    display: block;
  }
  
  /**
   * Correct the font size and margin on `h1` elements within `section` and
   * `article` contexts in Chrome, Firefox, and Safari.
   */
  
  h1 {
    font-size: 2em;
    /* margin: 0.67em 0; */
  }
  
  /* Grouping content
     ========================================================================== */
  
  /**
   * 1. Add the correct box sizing in Firefox.
   * 2. Show the overflow in Edge and IE.
   */
  
  hr {
    box-sizing: content-box; /* 1 */
    height: 0; /* 1 */
    overflow: visible; /* 2 */
  }
  
  /**
   * 1. Correct the inheritance and scaling of font size in all browsers.
   * 2. Correct the odd `em` font sizing in all browsers.
   */
  
  pre {
    font-family: monospace, monospace; /* 1 */
    font-size: 1em; /* 2 */
  }
  
  /* Text-level semantics
     ========================================================================== */
  
  /**
   * Remove the gray background on active links in IE 10.
   */
  
  a {
    background-color: transparent;
  }
  
  /**
   * 1. Remove the bottom border in Chrome 57-
   * 2. Add the correct text decoration in Chrome, Edge, IE, Opera, and Safari.
   */
  
  abbr[title] {
    border-bottom: none; /* 1 */
    text-decoration: underline; /* 2 */
    text-decoration: underline dotted; /* 2 */
  }
  
  /**
   * Add the correct font weight in Chrome, Edge, and Safari.
   */
  
  b,
  strong {
    font-weight: bolder;
  }
  
  /**
   * 1. Correct the inheritance and scaling of font size in all browsers.
   * 2. Correct the odd `em` font sizing in all browsers.
   */
  
  code,
  kbd,
  samp {
    font-family: monospace, monospace; /* 1 */
    font-size: 1em; /* 2 */
  }
  
  /**
   * Add the correct font size in all browsers.
   */
  
  small {
    font-size: 80%;
  }
  
  /**
   * Prevent `sub` and `sup` elements from affecting the line height in
   * all browsers.
   */
  
  sub,
  sup {
    font-size: 75%;
    line-height: 0;
    position: relative;
    vertical-align: baseline;
  }
  
  sub {
    bottom: -0.25em;
  }
  
  sup {
    top: -0.5em;
  }
  
  /* Embedded content
     ========================================================================== */
  
  /**
   * Remove the border on images inside links in IE 10.
   */
  
  img {
    border-style: none;
  }
  
  /* Forms
     ========================================================================== */
  
  /**
   * 1. Change the font styles in all browsers.
   * 2. Remove the margin in Firefox and Safari.
   */
  
  button,
  input,
  optgroup,
  select,
  textarea {
    font-family: inherit; /* 1 */
    font-size: 100%; /* 1 */
    line-height: 1.15; /* 1 */
    margin: 0; /* 2 */
  }
  
  /**
   * Show the overflow in IE.
   * 1. Show the overflow in Edge.
   */
  
  button,
  input { /* 1 */
    overflow: visible;
  }
  
  /**
   * Remove the inheritance of text transform in Edge, Firefox, and IE.
   * 1. Remove the inheritance of text transform in Firefox.
   */
  
  button,
  select { /* 1 */
    text-transform: none;
  }
  
  /**
   * Correct the inability to style clickable types in iOS and Safari.
   */
  
  button,
  [type="button"],
  [type="reset"],
  [type="submit"] {
    -webkit-appearance: button;
  }
  
  /**
   * Remove the inner border and padding in Firefox.
   */
  
  button::-moz-focus-inner,
  [type="button"]::-moz-focus-inner,
  [type="reset"]::-moz-focus-inner,
  [type="submit"]::-moz-focus-inner {
    border-style: none;
    padding: 0;
  }
  
  /**
   * Restore the focus styles unset by the previous rule.
   */
  
  button:-moz-focusring,
  [type="button"]:-moz-focusring,
  [type="reset"]:-moz-focusring,
  [type="submit"]:-moz-focusring {
    outline: 1px dotted ButtonText;
  }
  
  /**
   * Correct the padding in Firefox.
   */
  
  fieldset {
    padding: 0.35em 0.75em 0.625em;
  }
  
  /**
   * 1. Correct the text wrapping in Edge and IE.
   * 2. Correct the color inheritance from `fieldset` elements in IE.
   * 3. Remove the padding so developers are not caught out when they zero out
   *    `fieldset` elements in all browsers.
   */
  
  legend {
    box-sizing: border-box; /* 1 */
    color: inherit; /* 2 */
    display: table; /* 1 */
    max-width: 100%; /* 1 */
    padding: 0; /* 3 */
    white-space: normal; /* 1 */
  }
  
  /**
   * Add the correct vertical alignment in Chrome, Firefox, and Opera.
   */
  
  progress {
    vertical-align: baseline;
  }
  
  /**
   * Remove the default vertical scrollbar in IE 10+.
   */
  
  textarea {
    overflow: auto;
  }
  
  /**
   * 1. Add the correct box sizing in IE 10.
   * 2. Remove the padding in IE 10.
   */
  
  [type="checkbox"],
  [type="radio"] {
    box-sizing: border-box; /* 1 */
    padding: 0; /* 2 */
  }
  
  /**
   * Correct the cursor style of increment and decrement buttons in Chrome.
   */
  
  [type="number"]::-webkit-inner-spin-button,
  [type="number"]::-webkit-outer-spin-button {
    height: auto;
  }
  
  /**
   * 1. Correct the odd appearance in Chrome and Safari.
   * 2. Correct the outline style in Safari.
   */
  
  [type="search"] {
    -webkit-appearance: textfield; /* 1 */
    outline-offset: -2px; /* 2 */
  }
  
  /**
   * Remove the inner padding in Chrome and Safari on macOS.
   */
  
  [type="search"]::-webkit-search-decoration {
    -webkit-appearance: none;
  }
  
  /**
   * 1. Correct the inability to style clickable types in iOS and Safari.
   * 2. Change font properties to `inherit` in Safari.
   */
  
  ::-webkit-file-upload-button {
    -webkit-appearance: button; /* 1 */
    font: inherit; /* 2 */
  }
  
  /* Interactive
     ========================================================================== */
  
  /*
   * Add the correct display in Edge, IE 10+, and Firefox.
   */
  
  details {
    display: block;
  }
  
  /*
   * Add the correct display in all browsers.
   */
  
  summary {
    display: list-item;
  }
  
  /* Misc
     ========================================================================== */
  
  /**
   * Add the correct display in IE 10+.
   */
  
  template {
    display: none;
  }
  
  /**
   * Add the correct display in IE 10.
   */
  
  [hidden] {
    display: none;
  }


  /* ==========================================================================
   * Base styles: Media queries
   * ========================================================================== */
   
   
   /* * ========================================================================== */ 
   /* Laptop Devices > 1025px < 1439px */
   /* * ========================================================================== */ 

   @media(max-width: 1185px) {
    .container__wrapper {
      max-width: 922px;;
    }

    .main__product {
      margin-top: 6rem;
    }

    .banner__description {
      width: 60%;
    }

    .blog__article > div > img {
      height: 90%;
    }

    .blog__text {
      margin-left: 2rem;
    }

    .blog__image img {
      height: 92%;
    }

    .footer__content {
      width: 40%;
    }
   }
   
   
   
/* * ========================================================================== */ 
/* Tablet Devices > 768px < 1024px */
/* * ========================================================================== */ 
   
  @media(max-width: 992px) {

    .top__content {
      width: 91%;
      margin: 0 auto;
    }
    .nav__items li {
      margin: 0;
    }

    .header__header {
      width: 90%;
      margin: 0 auto;
    }

    .container__top {
      height: auto;
      display: flex;
      flex-direction: column;
    }

    .top__image {
      width: 95%;
      margin: 0 auto;
    }

    .content__card {
      margin-bottom: 3rem;
    }

    h1.top__title {
      margin-top: 3rem;
    } 
    
    .top__title {
      max-width: 526px;
    }


    .top__image--box {
      margin: 0 auto;
      bottom: 90px;    
      left: 0px;
      height: 89px;
      width: 95%;
    }

    .main__product,
    .advertising__article {
      width: 90%;
      display: flex;
      flex-direction: column-reverse;
    }

    .banner__description {
      width: 85%;
    }

    .blog__article {
      width: 90%;
      display: flex;
      flex-direction: column;
    }

    .blog__main--image {
      width: 95%;
      margin: 0 auto;
    }

    .blog__image {
      width: 29%;
    }

    .advertising-service {
      display: grid;
      grid-template-columns: repeat(2, 1fr);
    }

    .advertising__title--services {
      font-size: 4.6rem;
    }

    .image-header {
      width: 90%;
      margin: 0 auto;
    }

    .image-header > img {
      width: 300px;
      height: 300px;
    }

    .container__wrapper {
      width: 90%;
    } 
    
  }

@media(max-width:767px) {
  .top__content {
    width: 91%;
    margin: 0 auto;
  }

  .advertising-service {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
  }

  .advertising--content-services {
    width: 100%;
  }

  .container__wrapper {
    width: 90%;
  } 

  .prices__grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
  }
}

@media(max-width: 660px) { 
  .header__header {
    width: 95%;
  }

  .nav__items li a {
    padding: 1rem 1.2rem;
    font-size: 1.4rem;
  }

  .top__image {
    height: 377px;
  }

  .items__button {
    padding: 1rem;
  }

  .top__content {
    width: 91%;
    margin: 0 auto;
  }

  .project__mobile {
    display: flex;
    flex-direction: column;
    padding-top: 3rem;
  }

  .services__grid {
    grid-template-columns: repeat(1, 1fr);
    width: 90%;
    margin: 0 auto 2rem;
  }

  .services__image,
  .services__text {
    text-align: start;
    margin: 1rem 0;
  }

  .services__button {
    margin-top: 6rem;
  }

  .footer__content {
    width: 100%;
  }

  .container__footer > div {
    padding: 44px 0;
  }

  .top__services {
    flex-direction: row; 
  }

  .top__services {
    display: flex;
    flex-direction: column-reverse;
  }
}

@media(max-width: 480px) {

  .container__wrapper {
    max-width: 90%;
  }

  .prices__grid {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 30px;
  }

  h1.top__title {
    margin-top: 12rem;
    font-size: 4.5rem;
    line-height: 5.0rem;
  }

  .project__top {
    flex-direction: column;
  }

  .project__top h1 {
    margin-bottom: 2rem;
  }

  .project__text {
    width: 50%;
  }

  .product__content h1, .services__section h2, .container__top--service-title {
    font-size: 4.6rem;
  }

  .service__title,
  .advertising__title {
    font-size: 3.6rem;
  }

  .advertising__article {
    padding: 0;
    margin-bottom: 40px;
  }

  .image-header > img {
    width: 100%;
    height: 400px;
  }

  .top__services {
    margin-top: 0;
  }
  .header__header {
    padding: 0 0;
    height: 0;
  }

  .header__nav {
    margin-top: 0;
  }
  
  .image-header {
    margin-top: 3rem;
  } 

  .logo {
    padding: 2rem 0;
    z-index: 1000;
  }

  .container__top {
    margin-top: 0;
    padding-top: 0;
  }
  .container__footer {
    padding: 0px 5rem;
  }

  .content__card {
    grid-template-columns: repeat(1, 1fr);
  }

  .blog__image {
    width: 100%;
  }

  .banner__title {
    font-size: 39px;
  }
  
  .items__button {
    display: none;
  }
  
  .nav__items li a {
    width: 100%;
    font-size: 1.4rem;
    color: white;
    padding: 2rem 1.5rem;
  }

  .nav__items {
    position: fixed;
    z-index: 1000000;
    width: 100%;
    bottom: 0;
    left: 0;
    background-color: black;
  }
}

